# &kde; användarhandbok

Darian
Lanx

    content@openprojects.net

2010-01-04
1.1 (&kde; 4.4)
kbuildsycoca4
8

# `kbuildsycoca4`

Bygger om systemets inställningscache.

## Översikt

    kbuildsycoca4  --nosignal --noincremental --checkstamps --nocheckfiles --global --menutest --track meny-id --help --help-qt --help-kde --help-all --author -v, --version --license

## Beskrivning

`kbuildsycoca4`, som en del av &kde;:s kommandoradverktyg, ser till att &kde; fungerar på ett riktigt sätt genom att läsa in alla `.desktop`-, `.xml`- och `.protocol`-filer för att skapa en binärdatabas.

&kde; använder själv databasen när det arbetar, för att tillhandahålla inställningsinformation som program behöver för att köra.

Verktyget är en del av ksycoca4, som betyder &kde; System Configuration Cache (&kde; systeminställningscache)

## Väljare

`--nosignal`

  Signalera inte till program att uppdatera

`--noincremental`

  Inaktivera deluppdatering, läs in allt igen

`--checkstamps`

  Kontrollera filers tidsstämplar

`--nocheckfiles`

  Inaktivera kontroll av filer (farligt)

`--global`

  Skapa global databas

`--menutest`

  Skapa bara menyer på prov

`--track meny-id`

  Spåra menyidentifikation i felsökningssyfte

`--help`

  Visa hjälp om väljare

`--help-qt`

  Visa Qt-specifika väljare

`--help-kde`

  Visa KDE-specifika väljare

`--help-all`

  Visa alla väljare

`--author`

  Visa information om upphovsman

`-v , --version`

  Visa versionsinformation

`--license`

  Visa licensinformation

## Användning

Ett vanligt sätt att köra programmet är att bara ange följande kommando vid promptern: ``kbuildsycoca4``

## Filer

`/var/tmp/kde-$USER/ksycoca4`

  Standardkatalogen där cachefilerna lagras.

## Miljövariabler

$`KDEDIRS`

  Anger vilka kataloger som är en del av KDE-installationerna

$`KDESYCOCA`

  Anger sökvägen till sycocas databasfil

## Se också

kdeinit4

## Fel

Det finns troligen ett antal fel. Använd bugs.kde.org för att rapportera dem.